/**
 * Copyright (c) 2017-present, Facebook, Inc. and its affiliates.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree.
 */
#pragma once

#include <folly/CPortability.h>

/**
 * @file LogDevice compile-time options.  In the future, this file could be
 * generated by autotools or the like based on what's available on the system.
 */

// Use jemalloc as the memory allocator. On by default, but disabled if
// any of the sanitizer tools (ASAN, TSAN, UBSAN) are used, since they
// use a custom allocator.
#define LOGDEVICE_USING_JEMALLOC

#if defined(FOLLY_SANITIZE_ADDRESS) || defined(FOLLY_SANITIZE_THREAD)
#undef LOGDEVICE_USING_JEMALLOC
#endif
